
enum FontWeight {
  thin,       // 100
  extraLight, // 100
  light,      // 300
  regular,    // 400
  medium,     // 500
  semiBold,   // 600
  bold,       // 700
  extraBold,  // 800
  black,      // 900
  extraBlack, // 950
}

extension AdvFontWeight on FontWeight {
  int get numeric {
    switch (this) {
      case FontWeight.thin:
        return 100;
      case FontWeight.extraLight:
        return 200;
      case FontWeight.light:
        return 300;
      case FontWeight.regular:
        return 400;
      case FontWeight.medium:
        return 500;
      case FontWeight.semiBold:
        return 600;
      case FontWeight.bold:
        return 700;
      case FontWeight.extraBold:
        return 800;
      case FontWeight.black:
        return 900;
      case FontWeight.extraBlack:
        return 950;
    }
  }
}
